# studio::Dock_Keyframes Class Reference

`#include <dock_keyframes.h>`

Inheritance diagram for studio::Dock_Keyframes:

List of all members.

## Public Member Functions

| Dock_Keyframes ()
| ~Dock_Keyframes ()

## Protected Member Functions

virtual void | init_canvas_view_vfunc (etl::loose_handle< CanvasView > canvas_view)
virtual void | changed_canvas_view_vfunc (etl::loose_handle< CanvasView > canvas_view)

## Constructor & Destructor Documentation

Dock_Keyframes::Dock_Keyframes | ( |  | ) |

References studio::Dockable::set_toolbar(), studio::KeyframeActionManager::set_ui_manager(), studio::KeyframeActionManager::signal_show_keyframe_properties(), and studio::App::ui_manager().

Dock_Keyframes::~Dock_Keyframes | ( |  | ) |

## Member Function Documentation

void Dock_Keyframes::init_canvas_view_vfunc | ( | etl::loose_handle< CanvasView > | canvas_view | ) | `[protected, virtual]`

Reimplemented from studio::Dock_CanvasSpecific.

References synfigapp::Action::create(), and studio::Dockable::get_name().

void Dock_Keyframes::changed_canvas_view_vfunc | ( | etl::loose_handle< CanvasView > | canvas_view | ) | `[protected, virtual]`

Reimplemented from studio::Dock_CanvasSpecific.

References studio::Dockable::clear_previous(), studio::Dockable::get_name(), studio::KeyframeActionManager::refresh(), studio::KeyframeActionManager::set_canvas_interface(), and studio::KeyframeActionManager::set_keyframe_tree().

The documentation for this class was generated from the following files:

- dock_keyframes.h
- dock_keyframes.cpp